Retrieve Snapshots

You can retrieve report and entity snapshots by providing snapshot id and advertiser id for an advertiser.

📘

URL: GET /api/v1/snapshot

Note:

  • The output is generated in a gzip file
  • The file type in gzip can be either JSON or CSV based upon the snapshot type requested. You can request the following type of snapshots:
    • Entity Snapshot
    • Report Snapshot
  • Each advertiser has a unique advertiser ID for Onsite & Offsite display
  • To download reports and entity snapshots for Onsite and Offsite display ads separately, the appropriate advertiser ID must be provided in the API call
_

Query Parameters

ParameterParameter DescriptionTypeRequiredPossible Values
advertiserIdID of advertiserintegerYUnique numeric identifier
snapshotIdID of snapshotstringYA valid snapshot ID

Sample Request

curl -X GET\
'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/snapshot?advertiserId=600001&snapshotId=1' \
--header 'Authorization: Bearer <auth_token> \ --header 'WM_SEC.AUTH_SIGNATURE: ***********' \
--header 'WM_SEC.KEY_VERSION: 1' \ --header 'WM_CONSUMER.ID: adfwe-v23-faasd2r-afs-asdfqeff' \ --header 'WM_CONSUMER.intimestamp: 1565309779' \ --header 'accept: application/json' 

Response

FieldDescriptionOptional field/Nullable?TypePossible values
codeThe response code can have following values:
  • success
  • failure

Click here for more information about Status Codes and Errors
Nstringsuccess, failure
detailsDetails will populate success or error message depending upon value of code.Nstring
snapshotIdID of the snapshot. This will be returned only when code=successYstring
jobStatusIt is an indicator to confirm status of snapshot generation.The possible values of jobStatus are: pending, processing, done, failed, expiredYstring
messageHigh-level summary of the error, when available. Ystring 
errorsDetailed information about one or more errors, including the affected field (when applicable), error code, and a human-readable description.Yarray<object> 

errors array object details

FieldDescriptionOptional field/Nullable?TypePossible values
fieldJSON field associated with the error. Omitted if the error applies to the request as a whole.Ystring 
errorTypeMachine-readable error code that uniquely identifies the error condition. Applications should use this value for error handling logic.Nstring 
descriptionHuman-readable explanation of the error, including why the request failed and, when possible, how to resolve itNstring 
📘

Note

  1. TTL (Time to Live) for files generated is one day
  2. For added security, please pass below parameters in https://advertising.walmart.com/display/file/{fileId}call to download the files:
    • advertiserId – As a Query String parameter
    • Authorization – In the Request Header
    • WM_CONSUMER.ID – In the Request Header
    • WM_CONSUMER.intimestamp – In the Request Header
    • WM_SEC.AUTH_SIGNATURE – In the Request Header
    • WM_SEC.KEY_VERSION: – In the Request Header

Did this page help you?